### Name: eco
### Title: Fitting the Parametric Bayesian Model of Ecological Inference in
###   2x2 Tables
### Aliases: eco
### Keywords: models

### ** Examples


## load the registration data
data(reg)

## NOTE: convergence has not been properly assessed for the following
## examples. See Imai, Lu and Strauss (2006) for more complete analyses.

## fit the parametric model with the default prior specification
## Not run: res <- eco(Y ~ X, data = reg, verbose = TRUE)
## summarize the results
## Not run: summary(res)

## obtain out-of-sample prediction
## Not run: out <- predict(res, verbose = TRUE)
## summarize the results
## Not run: summary(out)

## load the Robinson's census data
data(census)

## fit the parametric model with contextual effects and N 
## using the default prior specification
## Not run: res1 <- eco(Y ~ X, N = N, context = TRUE, data = census, verbose = TRUE)
## summarize the results
## Not run: summary(res1)

## obtain out-of-sample prediction
## Not run: out1 <- predict(res1, verbose = TRUE)
## summarize the results
## Not run: summary(out1)




